Bug 113266 - Syriac fonts uses non standard codepoints screwing things up.
Syriac fonts uses non standard codepoints screwing things up.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 10:46 EST by Mattias Ellert
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 11:10:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is an example of the bug. (53.14 KB, image/png)
2004-01-11 11:02 EST, Mattias Ellert
no flags Details

  None (edit)
Description Mattias Ellert 2004-01-11 10:46:13 EST
Description of problem:
The Syriac fonts has some accented Latin letters and Syriac
presentation forms on codepoints reserved for other letters.

Version-Release number of selected component (if applicable):
XFree86-syriac-fonts-4.3.0-42

How reproducible:
Always.

Steps to Reproduce:
1. Type U+0293, U+0294, U+0299, U+029A or any character in the range
U+0350..U+03CF
  
Actual results:
You get G with line below, g with line below, R with line below, r
with line below and a bunch of Syriac presentaion forms instead of the
expected letters.

Expected results:
You expect correct letters.

Additional info:
This bug prevents the correct display of Greek text, so it is really
serious.
Comment 1 Mattias Ellert 2004-01-11 11:02:42 EST
Created attachment 96881 [details]
This is an example of the bug.

Sorry, I wrote R/r with bar below instead of P/p with bar below in the bug
description.
Comment 2 Mike A. Harris 2004-01-12 11:10:17 EST
We (Red Hat) do not design, edit, modify fonts or do any form of
fontography work.  The fonts included with the distribution are
included on an as-is basis, and many (most) of the fonts have
licenses which permit widspread distribution, but do not permit
modification and redistribution.

If you discover flaws in any particular font file, please contact
the original author and copyright owner of the given font file
directly, if you find any kind of errors in a font.  Alternatively,
you can contact XFree86.org via their bugzilla located at
http://bugs.xfree86.org, however they do not do fontography work
to my knowledge either, and are also subject to the licensing
restrictions that do not permit modification and redistribution,
and are likely to redirect you to the original font author and
copyright holder as well.

Closing WONTFIX

Note You need to log in before you can comment on or make changes to this bug.